[arch-commits] Commit in lib32-nvidia-340xx-utils/repos/multilib-x86_64 (2 files)

Sven-Hendrik Haase svenstaro at archlinux.org
Wed Nov 12 01:59:14 UTC 2014


    Date: Wednesday, November 12, 2014 @ 02:59:13
  Author: svenstaro
Revision: 122399

archrelease: copy trunk to multilib-x86_64

Added:
  lib32-nvidia-340xx-utils/repos/multilib-x86_64/PKGBUILD
    (from rev 122398, lib32-nvidia-340xx-utils/trunk/PKGBUILD)
Deleted:
  lib32-nvidia-340xx-utils/repos/multilib-x86_64/PKGBUILD

----------+
 PKGBUILD |  238 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 119 insertions(+), 119 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-12 01:58:06 UTC (rev 122398)
+++ PKGBUILD	2014-11-12 01:59:13 UTC (rev 122399)
@@ -1,119 +0,0 @@
-# $Id: PKGBUILD 117364 2014-08-13 13:50:53Z svenstaro $
-# Maintainer: Thomas Baechler <thomas at archlinux.org>
-# Contributor: James Rayner <iphitus at gmail.com>
-
-_pkgbasename=nvidia-340xx-utils
-pkgbase=lib32-$_pkgbasename
-pkgname=('lib32-nvidia-340xx-utils' 'lib32-nvidia-340xx-libgl' 'lib32-opencl-nvidia-340xx')
-pkgver=340.46
-pkgrel=1
-arch=('x86_64')
-url="http://www.nvidia.com/"
-license=('custom')
-options=('!strip')
-
-_arch='x86'
-_pkg="NVIDIA-Linux-${_arch}-${pkgver}"
-source=("ftp://download.nvidia.com/XFree86/Linux-${_arch}/${pkgver}/${_pkg}.run")
-md5sums=('7c70a15c53a97ed0bbec76e80bf53f05')
-
-create_links() {
-    # create soname links
-    for _lib in $(find "${pkgdir}" -name '*.so*' | grep -v 'xorg/'); do
-        _soname=$(dirname "${_lib}")/$(readelf -d "${_lib}" | grep -Po 'SONAME.*: \[\K[^]]*' || true)
-        _base=$(echo ${_soname} | sed -r 's/(.*).so.*/\1.so/')
-        [[ -e "${_soname}" ]] || ln -s $(basename "${_lib}") "${_soname}"
-        [[ -e "${_base}" ]] || ln -s $(basename "${_soname}") "${_base}"
-    done
-}
-
-build() {
-    sh ${_pkg}.run --extract-only
-}
-
-package_lib32-opencl-nvidia-340xx() {
-    pkgdesc="OpenCL implemention for NVIDIA (32-bit)"
-    depends=('lib32-libcl' 'lib32-zlib' 'lib32-gcc-libs')
-    optdepends=('opencl-headers: headers necessary for OpenCL development')
-    conflicts=('lib32-opencl-nvidia')
-    cd "${_pkg}"
-
-    # OpenCL
-    install -D -m755 "libnvidia-compiler.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-compiler.so.${pkgver}"
-    install -D -m755 "libnvidia-opencl.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-opencl.so.${pkgver}" 
-
-    create_links
-
-    mkdir -p "${pkgdir}/usr/share/licenses"
-    ln -s $_pkgbasename "${pkgdir}/usr/share/licenses/lib32-opencl-nvidia"
-}
-
-package_lib32-nvidia-340xx-libgl() {
-    pkgdesc="NVIDIA drivers libraries symlinks (32-bit)"
-    depends=('lib32-nvidia-340xx-utils')
-    conflicts=('lib32-libgl')
-    provides=('lib32-libgl')
-    cd "${_pkg}"
-
-    mkdir -p "${pkgdir}/usr/lib32"
-    ln -s "/usr/lib32/nvidia/libGL.so.${pkgver}" "${pkgdir}/usr/lib32/libGL.so.${pkgver}"
-    ln -s "libGL.so.${pkgver}" "${pkgdir}/usr/lib32/libGL.so.1"
-    ln -s "libGL.so.${pkgver}" "${pkgdir}/usr/lib32/libGL.so"
-
-    ln -s "/usr/lib32/nvidia/libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/libEGL.so.${pkgver}"
-    ln -s "libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/libEGL.so.1"
-    ln -s "libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/libEGL.so"
-
-    ln -s "/usr/lib32/nvidia/libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv1_CM.so.${pkgver}"
-    ln -s "libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv1_CM.so.1"
-    ln -s "libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv1_CM.so"
-
-    ln -s "/usr/lib32/nvidia/libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv2.so.${pkgver}"
-    ln -s "libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv2.so.2"
-    ln -s "libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv2.so"
-
-    mkdir -p "${pkgdir}/usr/share/licenses"
-    ln -s $_pkgbasename "${pkgdir}/usr/share/licenses/lib32-nvidia-libgl"
-}
-
-package_lib32-nvidia-340xx-utils() {
-    pkgdesc="NVIDIA drivers utilities (32-bit)"
-    depends=('lib32-zlib' 'lib32-gcc-libs')
-    optdepends=('lib32-opencl-nvidia-340xx')
-    conflicts=('lib32-nvidia-utils')
-    cd "${_pkg}"
-
-    # OpenGL libraries
-    install -D -m755 "libGL.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libGL.so.${pkgver}"
-    install -D -m755 "libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libEGL.so.${pkgver}"
-    install -D -m755 "libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libGLESv1_CM.so.${pkgver}"
-    install -D -m755 "libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libGLESv2.so.${pkgver}"
-
-    # OpenGL core library
-    install -D -m755 "libnvidia-glcore.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-glcore.so.${pkgver}"
-    install -D -m755 "libnvidia-eglcore.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-eglcore.so.${pkgver}"
-    install -D -m755 "libnvidia-glsi.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-glsi.so.${pkgver}"
-
-    # misc
-    install -D -m755 "libnvidia-ifr.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-ifr.so.${pkgver}"
-    install -D -m755 "libnvidia-fbc.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-fbc.so.${pkgver}"
-    install -D -m755 "libnvidia-encode.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-encode.so.${pkgver}"
-    install -D -m755 "libnvidia-cfg.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-cfg.so.${pkgver}"
-    install -D -m755 "libnvidia-ml.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-ml.so.${pkgver}"
-
-    # VDPAU
-    install -D -m755 "libvdpau_nvidia.so.${pkgver}" "${pkgdir}/usr/lib32/vdpau/libvdpau_nvidia.so.${pkgver}"
-
-    # nvidia-tls library
-    install -D -m755 "tls/libnvidia-tls.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-tls.so.${pkgver}"
-
-    # CUDA
-    install -D -m755 "libcuda.so.${pkgver}" "${pkgdir}/usr/lib32/libcuda.so.${pkgver}"
-    install -D -m755 "libnvcuvid.so.${pkgver}" "${pkgdir}/usr/lib32/libnvcuvid.so.${pkgver}"
-
-    create_links
-
-    rm -rf "${pkgdir}"/usr/{include,share,bin}
-    mkdir -p "${pkgdir}/usr/share/licenses"
-    ln -s $_pkgbasename "${pkgdir}/usr/share/licenses/${pkgname}"
-}

Copied: lib32-nvidia-340xx-utils/repos/multilib-x86_64/PKGBUILD (from rev 122398, lib32-nvidia-340xx-utils/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-12 01:59:13 UTC (rev 122399)
@@ -0,0 +1,119 @@
+# $Id: PKGBUILD 117364 2014-08-13 13:50:53Z svenstaro $
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Contributor: James Rayner <iphitus at gmail.com>
+
+_pkgbasename=nvidia-340xx-utils
+pkgbase=lib32-$_pkgbasename
+pkgname=('lib32-nvidia-340xx-utils' 'lib32-nvidia-340xx-libgl' 'lib32-opencl-nvidia-340xx')
+pkgver=340.58
+pkgrel=1
+arch=('x86_64')
+url="http://www.nvidia.com/"
+license=('custom')
+options=('!strip')
+
+_arch='x86'
+_pkg="NVIDIA-Linux-${_arch}-${pkgver}"
+source=("ftp://download.nvidia.com/XFree86/Linux-${_arch}/${pkgver}/${_pkg}.run")
+md5sums=('b993f9fc59434140f560e32fd7bd2b3d')
+
+create_links() {
+    # create soname links
+    for _lib in $(find "${pkgdir}" -name '*.so*' | grep -v 'xorg/'); do
+        _soname=$(dirname "${_lib}")/$(readelf -d "${_lib}" | grep -Po 'SONAME.*: \[\K[^]]*' || true)
+        _base=$(echo ${_soname} | sed -r 's/(.*).so.*/\1.so/')
+        [[ -e "${_soname}" ]] || ln -s $(basename "${_lib}") "${_soname}"
+        [[ -e "${_base}" ]] || ln -s $(basename "${_soname}") "${_base}"
+    done
+}
+
+build() {
+    sh ${_pkg}.run --extract-only
+}
+
+package_lib32-opencl-nvidia-340xx() {
+    pkgdesc="OpenCL implemention for NVIDIA (32-bit)"
+    depends=('lib32-libcl' 'lib32-zlib' 'lib32-gcc-libs')
+    optdepends=('opencl-headers: headers necessary for OpenCL development')
+    conflicts=('lib32-opencl-nvidia')
+    cd "${_pkg}"
+
+    # OpenCL
+    install -D -m755 "libnvidia-compiler.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-compiler.so.${pkgver}"
+    install -D -m755 "libnvidia-opencl.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-opencl.so.${pkgver}" 
+
+    create_links
+
+    mkdir -p "${pkgdir}/usr/share/licenses"
+    ln -s $_pkgbasename "${pkgdir}/usr/share/licenses/lib32-opencl-nvidia"
+}
+
+package_lib32-nvidia-340xx-libgl() {
+    pkgdesc="NVIDIA drivers libraries symlinks (32-bit)"
+    depends=('lib32-nvidia-340xx-utils')
+    conflicts=('lib32-libgl')
+    provides=('lib32-libgl')
+    cd "${_pkg}"
+
+    mkdir -p "${pkgdir}/usr/lib32"
+    ln -s "/usr/lib32/nvidia/libGL.so.${pkgver}" "${pkgdir}/usr/lib32/libGL.so.${pkgver}"
+    ln -s "libGL.so.${pkgver}" "${pkgdir}/usr/lib32/libGL.so.1"
+    ln -s "libGL.so.${pkgver}" "${pkgdir}/usr/lib32/libGL.so"
+
+    ln -s "/usr/lib32/nvidia/libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/libEGL.so.${pkgver}"
+    ln -s "libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/libEGL.so.1"
+    ln -s "libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/libEGL.so"
+
+    ln -s "/usr/lib32/nvidia/libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv1_CM.so.${pkgver}"
+    ln -s "libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv1_CM.so.1"
+    ln -s "libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv1_CM.so"
+
+    ln -s "/usr/lib32/nvidia/libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv2.so.${pkgver}"
+    ln -s "libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv2.so.2"
+    ln -s "libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/libGLESv2.so"
+
+    mkdir -p "${pkgdir}/usr/share/licenses"
+    ln -s $_pkgbasename "${pkgdir}/usr/share/licenses/lib32-nvidia-libgl"
+}
+
+package_lib32-nvidia-340xx-utils() {
+    pkgdesc="NVIDIA drivers utilities (32-bit)"
+    depends=('lib32-zlib' 'lib32-gcc-libs')
+    optdepends=('lib32-opencl-nvidia-340xx')
+    conflicts=('lib32-nvidia-utils')
+    cd "${_pkg}"
+
+    # OpenGL libraries
+    install -D -m755 "libGL.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libGL.so.${pkgver}"
+    install -D -m755 "libEGL.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libEGL.so.${pkgver}"
+    install -D -m755 "libGLESv1_CM.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libGLESv1_CM.so.${pkgver}"
+    install -D -m755 "libGLESv2.so.${pkgver}" "${pkgdir}/usr/lib32/nvidia/libGLESv2.so.${pkgver}"
+
+    # OpenGL core library
+    install -D -m755 "libnvidia-glcore.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-glcore.so.${pkgver}"
+    install -D -m755 "libnvidia-eglcore.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-eglcore.so.${pkgver}"
+    install -D -m755 "libnvidia-glsi.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-glsi.so.${pkgver}"
+
+    # misc
+    install -D -m755 "libnvidia-ifr.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-ifr.so.${pkgver}"
+    install -D -m755 "libnvidia-fbc.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-fbc.so.${pkgver}"
+    install -D -m755 "libnvidia-encode.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-encode.so.${pkgver}"
+    install -D -m755 "libnvidia-cfg.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-cfg.so.${pkgver}"
+    install -D -m755 "libnvidia-ml.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-ml.so.${pkgver}"
+
+    # VDPAU
+    install -D -m755 "libvdpau_nvidia.so.${pkgver}" "${pkgdir}/usr/lib32/vdpau/libvdpau_nvidia.so.${pkgver}"
+
+    # nvidia-tls library
+    install -D -m755 "tls/libnvidia-tls.so.${pkgver}" "${pkgdir}/usr/lib32/libnvidia-tls.so.${pkgver}"
+
+    # CUDA
+    install -D -m755 "libcuda.so.${pkgver}" "${pkgdir}/usr/lib32/libcuda.so.${pkgver}"
+    install -D -m755 "libnvcuvid.so.${pkgver}" "${pkgdir}/usr/lib32/libnvcuvid.so.${pkgver}"
+
+    create_links
+
+    rm -rf "${pkgdir}"/usr/{include,share,bin}
+    mkdir -p "${pkgdir}/usr/share/licenses"
+    ln -s $_pkgbasename "${pkgdir}/usr/share/licenses/${pkgname}"
+}


More information about the arch-commits mailing list